Skip to navigation

Get Shipping Address

Gets a shipping address associated with an order.

Returned in the response is shipping_quotes object. Please use the Get Shipping Quotes Endpoint. Using the response will return a 204 for the shipping quote.

Authentication

X-Auth-Tokenstring

OAuth scopes

UI NamePermissionParameter
Ordersmodifystore_v2_orders
Ordersread-onlystore_v2_orders_read_only

Authentication header

HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see our Guide to API Accounts.

Further reading

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see our Guide to API Accounts.

For a list of API status codes, see API Status Codes.

Path parameters

order_idintegerRequired
ID of the order.
idstringRequired
Shipping address ID.
store_hashstringRequired
Permanent ID of the BigCommerce store.

Headers

AcceptstringRequiredDefaults to application/json

The MIME type of the response body.

Response

The requested order shipping address.
base_coststringOptional

The base value of the order’s items. (Float, Float-As-String, Integer)

base_handling_coststringOptional

The base handling charge. The value can’t be negative. (Float, Float-As-String, Integer)

citystringOptional
companystringOptional
cost_ex_taxstringOptional

The value of the order’s items, excluding tax. (Float, Float-As-String, Integer)

cost_inc_taxstringOptional

The value of the order’s items, including tax. (Float, Float-As-String, Integer)

cost_taxstringOptional

The tax amount on the order. (Float, Float-As-String, Integer)

cost_tax_class_idintegerOptional

The ID of the tax class applied to the product. (NOTE: Value ignored if automatic tax is enabled.)

countrystringOptional
country_iso2stringOptional

2-letter ISO Alpha-2 code for the country.

emailstringOptional

Recipient’s email address.

first_namestringOptional
form_fieldslist of objectsOptional
handling_cost_ex_taxstringOptional

The handling charge, excluding tax. The value can’t be negative. (Float, Float-As-String, Integer)

handling_cost_inc_taxstringOptional

The handling charge, including tax. The value can’t be negative. (Float, Float-As-String, Integer)

handling_cost_taxstringOptional
handling_cost_tax_class_idintegerOptional

A read-only value. Do not attempt to set or modify this value in a POST or PUT operation. (NOTE: Value ignored if automatic tax is enabled on the store.)

idintegerOptional
ID of this shipping address.
items_shippeddoubleOptional
The number of items that have been shipped.
items_totaldoubleOptional
The total number of items in the order.
last_namestringOptional
order_idintegerOptional
ID of the order.
phonestringOptional

Recipient’s telephone number.

shipping_methodstringOptional
Text code identifying the BigCommerce shipping module selected by the customer.
shipping_quotesobjectOptionalRead-only
shipping_zone_iddoubleOptional
Numeric ID of the shipping zone.
shipping_zone_namestringOptional
Name of the shipping zone.
statestringOptional
street_1stringOptional

Street address (first line).

street_2stringOptional

Street address (second line).

zipstringOptional
Zip or postal code, as a string.